[**@rxap/ngx-bootstrap v19.0.2-dev.3**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / ModuleApplication

# Class: ModuleApplication\<M, O\>

Defined in: [module-application.ts:18](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/module-application.ts#L18)

## Extends

- [`Application`](Application.md)\<`O`, `NgModuleRef`\<`M`\>\>

## Type Parameters

• **M**

• **O** *extends* [`ModuleApplicationConfig`](../interfaces/ModuleApplicationConfig.md)

## Constructors

### new ModuleApplication()

> **new ModuleApplication**\<`M`, `O`\>(`environment`, `moduleType`, `options`?, `configLoadOptions`?): [`ModuleApplication`](ModuleApplication.md)\<`M`, `O`\>

Defined in: [module-application.ts:20](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/module-application.ts#L20)

#### Parameters

##### environment

`Environment`

##### moduleType

`Type`\<`M`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`ModuleApplication`](ModuleApplication.md)\<`M`, `O`\>

#### Overrides

[`Application`](Application.md).[`constructor`](Application.md#constructors)

## Properties

### app

> **app**: `null` \| `NgModuleRef`\<`M`\> = `null`

Defined in: [application.ts:35](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L35)

#### Inherited from

[`Application`](Application.md).[`app`](Application.md#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L37)

#### Inherited from

[`Application`](Application.md).[`config`](Application.md#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:44](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L44)

#### Inherited from

[`Application`](Application.md).[`configLoadOptions`](Application.md#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Environment`

Defined in: [application.ts:42](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L42)

#### Inherited from

[`Application`](Application.md).[`environment`](Application.md#environment-1)

***

### logger

> **logger**: `null` \| `NGXLogger` = `null`

Defined in: [application.ts:36](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L36)

#### Inherited from

[`Application`](Application.md).[`logger`](Application.md#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:43](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L43)

#### Inherited from

[`Application`](Application.md).[`options`](Application.md#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../type-aliases/ApplicationAfterFunction.md)\<`NgModuleRef`\<`M`\>\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`after`](Application.md#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:82](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L82)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../type-aliases/ApplicationBeforeFunction.md)\<`O`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`before`](Application.md#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`bootstrap`](Application.md#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`NgModuleRef`\<`M`\>\>

Defined in: [module-application.ts:29](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/module-application.ts#L29)

#### Returns

`Promise`\<`NgModuleRef`\<`M`\>\>

#### Overrides

[`Application`](Application.md).[`create`](Application.md#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`): `Promise`\<`void`\>

Defined in: [application.ts:96](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L96)

#### Parameters

##### app

`NgModuleRef`

##### logger

`NGXLogger`

##### config

`ConfigService`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleAfter`](Application.md#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`): `Promise`\<`void`\>

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### config

`ConfigService`

##### options

`O`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleBefore`](Application.md#handlebefore)

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:102](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L102)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`loadConfig`](Application.md#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [module-application.ts:34](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/module-application.ts#L34)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](Application.md).[`prepareConfig`](Application.md#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`prepareEnvironment`](Application.md#prepareenvironment)
