[@rxap/ngx-bootstrap](../wiki/globals) / StandaloneApplication

# Class: StandaloneApplication\<O\>

Defined in: [standalone-application.ts:13](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/standalone-application.ts#L13)

## Extends

- [`Application`](../wiki/Class.Application)\<`O`, `ApplicationRef`\>

## Type Parameters

• **O** *extends* `ApplicationConfig`

## Constructors

### new StandaloneApplication()

> **new StandaloneApplication**\<`O`\>(`environment`, `rootComponent`, `options`?, `configLoadOptions`?): [`StandaloneApplication`](../wiki/Class.StandaloneApplication)\<`O`\>

Defined in: [standalone-application.ts:15](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/standalone-application.ts#L15)

#### Parameters

##### environment

`Environment`

##### rootComponent

`Type`\<`unknown`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions` = `...`

#### Returns

[`StandaloneApplication`](../wiki/Class.StandaloneApplication)\<`O`\>

#### Overrides

[`Application`](../wiki/Class.Application).[`constructor`](../wiki/Class.Application#constructors)

## Properties

### app

> **app**: `null` \| `ApplicationRef` = `null`

Defined in: [application.ts:35](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L35)

#### Inherited from

[`Application`](../wiki/Class.Application).[`app`](../wiki/Class.Application#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L37)

#### Inherited from

[`Application`](../wiki/Class.Application).[`config`](../wiki/Class.Application#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:44](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L44)

#### Inherited from

[`Application`](../wiki/Class.Application).[`configLoadOptions`](../wiki/Class.Application#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Environment`

Defined in: [application.ts:42](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L42)

#### Inherited from

[`Application`](../wiki/Class.Application).[`environment`](../wiki/Class.Application#environment-1)

***

### logger

> **logger**: `null` \| `NGXLogger` = `null`

Defined in: [application.ts:36](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L36)

#### Inherited from

[`Application`](../wiki/Class.Application).[`logger`](../wiki/Class.Application#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:43](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L43)

#### Inherited from

[`Application`](../wiki/Class.Application).[`options`](../wiki/Class.Application#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../wiki/TypeAlias.ApplicationAfterFunction)\<`ApplicationRef`\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`after`](../wiki/Class.Application#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:82](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L82)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../wiki/TypeAlias.ApplicationBeforeFunction)\<`O`\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`before`](../wiki/Class.Application#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`bootstrap`](../wiki/Class.Application#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`ApplicationRef`\>

Defined in: [standalone-application.ts:32](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/standalone-application.ts#L32)

#### Returns

`Promise`\<`ApplicationRef`\>

#### Overrides

[`Application`](../wiki/Class.Application).[`create`](../wiki/Class.Application#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`): `Promise`\<`void`\>

Defined in: [application.ts:96](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L96)

#### Parameters

##### app

`ApplicationRef`

##### logger

`NGXLogger`

##### config

`ConfigService`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleAfter`](../wiki/Class.Application#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`): `Promise`\<`void`\>

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### config

`ConfigService`

##### options

`O`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleBefore`](../wiki/Class.Application#handlebefore)

***

### importProvidersFrom()

> **importProvidersFrom**(...`sources`): `void`

Defined in: [standalone-application.ts:27](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/standalone-application.ts#L27)

#### Parameters

##### sources

...`ImportProvidersSource`[]

#### Returns

`void`

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:102](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L102)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`loadConfig`](../wiki/Class.Application#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [standalone-application.ts:36](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/standalone-application.ts#L36)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](../wiki/Class.Application).[`prepareConfig`](../wiki/Class.Application#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`prepareEnvironment`](../wiki/Class.Application#prepareenvironment)
